#############################################################################
# Makefile for building: BasLauncher
# Generated by qmake (3.0) (Qt 5.6.0)
# Project:  ..\..\exe.pro
# Template: app
#############################################################################

MAKEFILE      = Makefile.Release

####### Compiler, tools and options

CC            = cl
CXX           = cl
DEFINES       = -DUNICODE -DWIN32 -DWIN64 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DNDEBUG
CFLAGS        = -nologo -Zc:wchar_t -FS -O2 -MD -Zc:strictStrings -W3 $(DEFINES)
CXXFLAGS      = -nologo -Zc:wchar_t -FS -O2 -MD -Zc:strictStrings -GR -W3 -w34100 -w34189 -w44996 -EHsc $(DEFINES)
INCPATH       = -I..\..\..\exe -I. -IC:\QT\qt5.6.0\5.6\msvc2013_64\include -IC:\QT\qt5.6.0\5.6\msvc2013_64\include\QtGui -IC:\QT\qt5.6.0\5.6\msvc2013_64\include\QtANGLE -IC:\QT\qt5.6.0\5.6\msvc2013_64\include\QtCore -Irelease -IC:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\win32-msvc2013 
LINKER        = link
LFLAGS        = /NOLOGO /DYNAMICBASE /NXCOMPAT /INCREMENTAL:NO /SUBSYSTEM:WINDOWS "/MANIFESTDEPENDENCY:type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' publicKeyToken='6595b64144ccf1df' language='*' processorArchitecture='*'"
LIBS          = /LIBPATH:C:\QT\qt5.6.0\5.6\msvc2013_64\lib C:\QT\qt5.6.0\5.6\msvc2013_64\lib\qtmain.lib /LIBPATH:C:\utils\postgresql\pgsql\lib /LIBPATH:C:\utils\my_sql\my_sql\lib shell32.lib user32.lib C:\QT\qt5.6.0\5.6\msvc2013_64\lib\Qt5Gui.lib C:\QT\qt5.6.0\5.6\msvc2013_64\lib\Qt5Core.lib release\BasLauncher_resource.res 
QMAKE         = C:\QT\qt5.6.0\5.6\msvc2013_64\bin\qmake.exe
IDC           = idc
IDL           = midl
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = release\BasLauncher_resource.res
COPY          = copy /y
SED           = $(QMAKE) -install sed
COPY_FILE     = copy /y
COPY_DIR      = xcopy /s /q /y /i
DEL_FILE      = del
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
INSTALL_FILE    = copy /y
INSTALL_PROGRAM = copy /y
INSTALL_DIR     = xcopy /s /q /y /i

####### Output directory

OBJECTS_DIR   = release

####### Files

SOURCES       = ..\..\main.cpp \
		..\..\utils.cpp 
OBJECTS       = ..\..\resources.res \
		release\main.obj \
		release\utils.obj

DIST          =  MinHook.h \
		..\..\inifile.h \
		..\..\utils.h ..\..\main.cpp \
		..\..\utils.cpp
QMAKE_TARGET  = BasLauncher
DESTDIR        = release\ #avoid trailing-slash linebreak
TARGET         = BasLauncher.exe
DESTDIR_TARGET = release\BasLauncher.exe

####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx

{..\..}.cpp{release\}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Forelease\ @<<
	$<
<<

{..\..}.cc{release\}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Forelease\ @<<
	$<
<<

{..\..}.cxx{release\}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Forelease\ @<<
	$<
<<

{..\..}.c{release\}.obj::
	$(CC) -c $(CFLAGS) $(INCPATH) -Forelease\ @<<
	$<
<<

{.}.cpp{release\}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Forelease\ @<<
	$<
<<

{.}.cc{release\}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Forelease\ @<<
	$<
<<

{.}.cxx{release\}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Forelease\ @<<
	$<
<<

{.}.c{release\}.obj::
	$(CC) -c $(CFLAGS) $(INCPATH) -Forelease\ @<<
	$<
<<

####### Build rules

first: all
all: Makefile.Release  $(DESTDIR_TARGET)

$(DESTDIR_TARGET):  $(OBJECTS) release\BasLauncher_resource.res
	$(LINKER) $(LFLAGS) /MANIFEST:embed /OUT:$(DESTDIR_TARGET) @<<
$(OBJECTS) $(LIBS)
<<

release\BasLauncher_resource.res: BasLauncher_resource.rc
	rc $(DEFINES) -fo release\BasLauncher_resource.res BasLauncher_resource.rc

qmake: FORCE
	@$(QMAKE) -spec win32-msvc2013 -o Makefile.Release ..\..\exe.pro

qmake_all: FORCE

dist:
	$(ZIP) BasLauncher.zip $(SOURCES) $(DIST) ..\..\exe.pro C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\spec_pre.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\common\angle.conf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\common\msvc-base.conf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\common\msvc-desktop.conf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\qconfig.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3dcore.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3dcore_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3dinput.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3dinput_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3dlogic.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3dlogic_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3dquick.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3dquick_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3dquickinput.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3dquickinput_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3dquickrender.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3dquickrender_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3drender.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_3drender_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_axbase.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_axbase_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_axcontainer.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_axcontainer_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_axserver.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_axserver_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_bluetooth.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_bluetooth_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_bootstrap_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_clucene_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_concurrent.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_concurrent_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_core.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_core_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_dbus.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_dbus_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_designer.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_designer_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_designercomponents_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_gui.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_gui_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_help.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_help_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_labscontrols_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_labstemplates_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_location.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_location_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_multimedia.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_multimedia_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_multimediawidgets.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_multimediawidgets_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_network.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_network_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_nfc.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_nfc_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_opengl.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_opengl_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_openglextensions.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_openglextensions_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_platformsupport_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_positioning.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_positioning_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_printsupport.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_printsupport_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_qml.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_qml_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_qmldevtools_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_qmltest.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_qmltest_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_qtmultimediaquicktools_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_quick.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_quick_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_quickparticles_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_quickwidgets.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_quickwidgets_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_script.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_script_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_scripttools.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_scripttools_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_sensors.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_sensors_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_serialbus.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_serialbus_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_serialport.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_serialport_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_sql.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_sql_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_svg.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_svg_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_testlib.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_testlib_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_uiplugin.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_uitools.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_uitools_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_webchannel.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_webchannel_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_webengine.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_webengine_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_webenginecore.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_webenginecore_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_webenginecoreheaders_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_webenginewidgets.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_webenginewidgets_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_websockets.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_websockets_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_webview.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_webview_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_widgets.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_widgets_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_winextras.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_winextras_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_xml.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_xml_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_xmlpatterns.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_xmlpatterns_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\modules\qt_lib_zlib_private.pri C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\qt_functions.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\qt_config.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\win32\qt_config.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\win32-msvc2013\qmake.conf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\spec_post.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\exclusive_builds.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\default_pre.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\win32\default_pre.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\resolve_config.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\exclusive_builds_post.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\default_post.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\build_pass.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\win32\rtti.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\precompile_header.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\warn_on.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\qt.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\resources.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\moc.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\win32\opengl.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\win32\windows.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\testcase_targets.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\exceptions.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\yacc.prf C:\QT\qt5.6.0\5.6\msvc2013_64\mkspecs\features\lex.prf ..\..\exe.pro C:\QT\qt5.6.0\5.6\msvc2013_64\lib\qtmain.prl C:\QT\qt5.6.0\5.6\msvc2013_64\lib\Qt5Gui.prl C:\QT\qt5.6.0\5.6\msvc2013_64\lib\Qt5Core.prl  NO_PCH_SOURCES RESOURCES HEADERS SOURCES OBJECTIVE_SOURCES YACCSOURCES YACCSOURCES LEXSOURCES 

clean: compiler_clean 
	-$(DEL_FILE) ..\..\resources.res release\main.obj release\utils.obj
	-$(DEL_FILE) release\BasLauncher.exp
	-$(DEL_FILE) release\BasLauncher_resource.res

distclean: clean 
	-$(DEL_FILE) release\BasLauncher.lib
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile.Release

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

check: first

compiler_no_pch_compiler_make_all:
compiler_no_pch_compiler_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 



####### Compile

release\main.obj: ..\..\main.cpp ../../utils.h \
		../../inifile.h

release\utils.obj: ..\..\utils.cpp ../../utils.h

####### Install

install:  FORCE

uninstall:  FORCE

FORCE:

